Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::WidgetSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Widget. More...

`#include <xfc/gtk/widgetsignals.hh>`

Inheritance diagram for Xfc::Gtk::WidgetSignals:

List of all members.

## Public Member Functions

Basic Signal Handlers

- virtual void on_show ()
    Called when a widget becomes visible.
- virtual void on_hide ()
    Called when a widget is hidden (invisible to the user).
- virtual void on_map ()
    Called when a widget becomes mapped.
- virtual void on_unmap ()
    Called when a widget becomes unmapped.
- virtual void on_realize ()
    Called when a widget is realized.
- virtual void on_unrealize ()
    Called when a widget is unrealized.
- virtual void on_size_request (Requisition *requisition)
    Called to obtain the preferred size of a widget.
- virtual void on_size_allocate (const Allocation &allocation)
    Called when a child widget is allocated a size and position.
- virtual void on_state_changed (StateType previous_state)
    Called when the widget state changes.
- virtual void on_parent_set (Widget *previous_parent)
    Called when the parent container of the widget is set.
- virtual void on_hierarchy_changed (Widget *previous_toplevel)
    Called when there is a change in the hierarchy to which the widget belongs.
- virtual void on_style_set (Style *previous_style)
    Called when the widget style is changed.
- virtual void on_direction_changed (TextDirection previous_direction)
    Called when the reading direction on the widget is changed.
- virtual void on_grab_notify (bool was_grabbed)
    Called to notify the widget whether it is the current grabbed widget in an application.
- virtual void on_child_notify (GParamSpec *pspec)
    Called for each child property that has changed on a widget.
- virtual bool on_mnemonic_activate (bool group_cycling)
    Called to activate the widget when the mnemonic key it's associated with is pressed.
- virtual void on_grab_focus ()
    Called when the widget receives the keyboard focus for the Window it's inside.
- virtual bool on_focus (DirectionType direction)
    Called when a child widget receives the focus (see child_focus()).
- virtual void on_screen_changed (Gdk::Screen *previous_screen)
    Called when the screen the widget is displayed on is changed.
- virtual bool on_can_activate_accel (unsigned int signal_id)
    Called to determine whether an accelerator that activates the signal identified by signal_id can currently be activated.

Selection Signal Handlers

- virtual void on_selection_get (SelectionData &selection_data, unsigned int info, unsigned int time)
    Called when the selection data is requested, if this widget is the selection owner.
- virtual void on_selection_received (const SelectionData &selection_data, unsigned int time)
    Called to notify the widget that the requested selection data has been converted and provided by the selection owner.

Source-side Drag Signal Handlers

- virtual void on_drag_begin (DragContext &context)
    Called on the drag source to notify it that a drag has started.
- virtual void on_drag_end (DragContext &context)
    Called on the drag source to notify it when a drag is finished.
- virtual void on_drag_data_get (DragContext &context, SelectionData &data, unsigned int info, unsigned int time)
    Called after a valid drop to request the data of the first target supported by the destination widget.
- virtual void on_drag_data_delete (DragContext &context)
    Called on the drag source when a drag with the action Gdk::ACTION_MOVE is successfully completed.

Target-side Drag Signal Handlers

- virtual void on_drag_leave (DragContext &context, unsigned int time)
    Called on the drop site when the cursor leaves the widget.
- virtual bool on_drag_motion (DragContext &context, int x, int y, unsigned int time)
    Called when the mouse passes over the widget to verifiy whether it can accept a drop.
- virtual bool on_drag_drop (DragContext &context, int x, int y, unsigned int time)
    Called to notify the widget that a drop has occurred.
- virtual void on_drag_data_received (DragContext &context, int x, int y, const SelectionData &data, unsigned int info, unsigned int time)
    Called to notify the widget when the data from a drop is received.

GDK Event Signal Handlers

- virtual bool on_event (const Gdk::Event &event)
    Called when any GDK event occurs.
- virtual bool on_button_press_event (const Gdk::EventButton &event)
    Called when a mouse button has been pressed.
- virtual bool on_button_release_event (const Gdk::EventButton &event)
    Called when a mouse button has been released.
- virtual bool on_scroll_event (const Gdk::EventScroll &event)
    Called when a mouse wheel is scrolled either up or down.
- virtual bool on_motion_notify_event (const Gdk::EventMotion &event)
    Called when the mouse is moved.
- virtual bool on_delete_event (const Gdk::EventAny &event)
    Called when the user tries to close an application from the window manager frame.
- virtual bool on_destroy_event (const Gdk::EventAny &event)
    Called when the widget has been destroyed.
- virtual bool on_expose_event (const Gdk::EventExpose &event)
    Called when all or part of the widget has become visible and needs to be redrawn.
- virtual bool on_key_press_event (const Gdk::EventKey &event)
    Called when a key is pressed.
- virtual bool on_key_release_event (const Gdk::EventKey &event)
    Called when a key is released.
- virtual bool on_enter_notify_event (const Gdk::EventCrossing &event)
    Called when a widget is entered.
- virtual bool on_leave_notify_event (const Gdk::EventCrossing &event)
    Called when a widget is exited.
- virtual bool on_configure_event (const Gdk::EventConfigure &event)
    Called when the size, position or stacking order of the widget is changed.
- virtual bool on_focus_in_event (const Gdk::EventFocus &event)
    Called when the widget gains the keybaord focus (the focus widget gets keyboard events).
- virtual bool on_focus_out_event (const Gdk::EventFocus &event)
    Called when the widget looses the keyboard focus.
- virtual bool on_map_event (const Gdk::EventAny &event)
    Called when the widget has been mapped (visible on the screen).
- virtual bool on_unmap_event (const Gdk::EventAny &event)
    Called when the widget has been unmapped (no longer visible on the screen).
- virtual bool on_property_notify_event (const Gdk::EventProperty &event)
    Called when a property on the widget has been changed or deleted.
- virtual bool on_selection_clear_event (const Gdk::EventSelection &event)
    Called when an application has lost ownership of a selection.
- virtual bool on_selection_request_event (const Gdk::EventSelection &event)
    Called when another application has requested a selection.
- virtual bool on_selection_notify_event (const Gdk::EventSelection &event)
    Called when a selection has been received.
- virtual bool on_proximity_in_event (const Gdk::EventProximity &event)
    Called when an input device has moved into contact with a sensing surface (such as a touchscreen or graphics tablet).
- virtual bool on_proximity_out_event (const Gdk::EventProximity &event)
    Called when an input device has moved out of contact with a sensing surface.
- virtual bool on_visibility_notify_event (const Gdk::EventVisibility &event)
    Called when the widget's visibility status has changed (either fully obscured, partially obscured or unobscured.
- virtual bool on_client_event (const Gdk::EventClient &event)
    Called when a message has been received from another application.
- virtual bool on_no_expose_event (const Gdk::EventAny &event)
    Called when all or part of the widget has become visible, but no expose event was generated.
- virtual bool on_window_state_event (const Gdk::EventWindowState &event)
    Called when the state of a toplevel window changes (either not shown, minimized, maximized, sticky or fullscreen).

## Protected Member Functions

Constructors

- WidgetSignals (Widget *widget)
    Constructs a new WidgetSignals object.
- virtual ~WidgetSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Widget.

## Constructor & Destructor Documentation

Xfc::Gtk::WidgetSignals::WidgetSignals | ( | Widget * | widget | ) | `[protected]`

Constructs a new WidgetSignals object.

Parameters:

  | widget | A Widget object inheriting the WidgetSignals implementation.

## Member Function Documentation

virtual bool Xfc::Gtk::WidgetSignals::on_button_press_event | ( | const Gdk::EventButton & | event | ) | `[virtual]`

Called when a mouse button has been pressed.

Parameters:

  | event | The Gdk::EventButton.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_button_release_event | ( | const Gdk::EventButton & | event | ) | `[virtual]`

Called when a mouse button has been released.

Parameters:

  | event | The Gdk::EventButton.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_can_activate_accel | ( | unsigned int | signal_id | ) | `[virtual]`

Called to determine whether an accelerator that activates the signal identified by signal_id can currently be activated.

Parameters:

  | signal_id | The id of a signal installed on the widget.

Returns:
  true if the accelerator can be activated.

The default determination is made by checking to see if the widget is sensitive, and all of its parents mapped.

virtual void Xfc::Gtk::WidgetSignals::on_child_notify | ( | GParamSpec * | pspec | ) | `[virtual]`

Called for each child property that has changed on a widget.

Parameters:

  | pspec | A GParamSpec object that holds the meta data specifying the new property.

virtual bool Xfc::Gtk::WidgetSignals::on_client_event | ( | const Gdk::EventClient & | event | ) | `[virtual]`

Called when a message has been received from another application.

Parameters:

  | event | The Gdk::EventClient.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_configure_event | ( | const Gdk::EventConfigure & | event | ) | `[virtual]`

Called when the size, position or stacking order of the widget is changed.

Parameters:

  | event | The Gdk::EventConfigure.

Returns:
  true to stop invoking other handlers, false to propagate the event.

Note that these events are discarded for Gdk::WINDOW_CHILD windows.

virtual bool Xfc::Gtk::WidgetSignals::on_delete_event | ( | const Gdk::EventAny & | event | ) | `[virtual]`

Called when the user tries to close an application from the window manager frame.

Parameters:

  | event | The Gdk::Event.

Returns:
  false to allow the application window to close.

The event.type() method will return the type identifier Gdk::DELETE. The event.window() method will return the Gdk::Window reporting the event. The event.send_event() method indicates whether the event came from the X server or another source. Returning true will prevent the application window from closing.

Note: only top-level windows can receive the delete_event.

virtual bool Xfc::Gtk::WidgetSignals::on_destroy_event | ( | const Gdk::EventAny & | event | ) | `[virtual]`

Called when the widget has been destroyed.

Parameters:

  | event | The Gdk::EventAny.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_direction_changed | ( | TextDirection | previous_direction | ) | `[virtual]`

Called when the reading direction on the widget is changed.

Parameters:

  | previous_direction | The previous direction.

virtual void Xfc::Gtk::WidgetSignals::on_drag_begin | ( | DragContext & | context | ) | `[virtual]`

Called on the drag source to notify it that a drag has started.

Parameters:

  | context | A reference to a Gtk::DragContext (only used by GTK+).

It's quite useful to know when a drag-and-drop event has started. This makes it possible to create a snapshot of the data that will be provided for each target and to make sure that each event contains the latest version of the data. A typical reason to override this handler is to set up a custom drag icon with drag_source_set_icon().

virtual void Xfc::Gtk::WidgetSignals::on_drag_data_delete | ( | DragContext & | context | ) | `[virtual]`

Called on the drag source when a drag with the action Gdk::ACTION_MOVE is successfully completed.

Parameters:

  | context | A reference to a Gtk::DragContext (only used by GTK+).

The drag_data_delete signal is used internally by GTK+ to implement drag-and-drop support in text widgets, such as entry, TextBuffer and TextView. It wont be of much use to you unless you're implementing manual drag-and-drop. It indicates that the data can be deleted.

virtual void Xfc::Gtk::WidgetSignals::on_drag_data_get | ( | DragContext & | context,
|  | SelectionData & | data,
|  | unsigned int | info,
|  | unsigned int | time
| ) | `[virtual]`

Called after a valid drop to request the data of the first target supported by the destination widget.

Parameters:

  | context | A reference to a Gtk::DragContext (only used by GTK+).
  | data | The SelectionData that needs to be filled in to provide the requested data.
  | info | The info integer that was set when the target was registered (see TargertEntry).
  | time | The time of the conversion request.

To provide the data for the requested target data needs to be filled in. Calling Gtk::SelectionData::get_target() enables you to know for which target the data needs to be formatted. The formatted data can then be set by calling Gtk::SelectionData:set() or Gtk::SelectionData::set_text(). The destination widget will receive the data when this handler returns.

virtual void Xfc::Gtk::WidgetSignals::on_drag_data_received | ( | DragContext & | context,
|  | int | x,
|  | int | y,
|  | const SelectionData & | data,
|  | unsigned int | info,
|  | unsigned int | time
| ) | `[virtual]`

Called to notify the widget when the data from a drop is received.

Parameters:

  | context | A reference to a Gtk::DragContext.
  | x | The X position of the mouse pointer relative to the widget.
  | y | The Y position of the mouse pointer relative to the widget.
  | data | The SelectionData that contains all the information about the data received.
  | info | The info integer that was set when the target was registered (see TargertEntry).
  | time | The time of the conversion request.

virtual bool Xfc::Gtk::WidgetSignals::on_drag_drop | ( | DragContext & | context,
|  | int | x,
|  | int | y,
|  | unsigned int | time
| ) | `[virtual]`

Called to notify the widget that a drop has occurred.

Parameters:

  | context | A reference to the Gtk::DragContext for the current drag-and-drop event.
  | x | The X position of the mouse pointer relative to the widget.
  | y | The Y position of the mouse pointer relative to the widget.
  | time | The time when the event occurred.

Returns:
  true if the widget is a valid drag-and-drop destination.

Gdk::DragContext::targets() can be called to decide which target's data has to be obtained. When this is known, the drag_get_data() method has to be called to actually request the data. The data will be provided through a drag_data_received signal.

virtual void Xfc::Gtk::WidgetSignals::on_drag_end | ( | DragContext & | context | ) | `[virtual]`

Called on the drag source to notify it when a drag is finished.

Parameters:

  | context | A reference to a Gtk::DragContext (only used by GTK+).

It's useful to be notified when a drag-and-drop event ends. A typical reason to override this handler is to undo things done in on_drag_begin().

virtual void Xfc::Gtk::WidgetSignals::on_drag_leave | ( | DragContext & | context,
|  | unsigned int | time
| ) | `[virtual]`

Called on the drop site when the cursor leaves the widget.

Parameters:

  | context | A reference to the Gtk::DragContext for the current drag-and-drop event.
  | time | The timestamp of the motion event.

This handler might be useful to undo any action you took when the widget was first entered (i.e. on the first drag_motion signal), such as undo highlighting with drag_unhighlight().

virtual bool Xfc::Gtk::WidgetSignals::on_drag_motion | ( | DragContext & | context,
|  | int | x,
|  | int | y,
|  | unsigned int | time
| ) | `[virtual]`

Called when the mouse passes over the widget to verifiy whether it can accept a drop.

Parameters:

  | context | A reference to the Gtk::DragContext for the current drag-and-drop event.
  | x | The X position of the mouse pointer relative to the widget.
  | y | The Y position of the mouse pointer relative to the widget.
  | time | The time when the event occurred.

Returns:
  true if the widget is a valid drag-and-drop destination.

If false is returned the widget is not a drag-and-drop destination and the parent should be checked instead. When true is returned, the widget will be seen as a drag-and-drop destination and you'll have to verify if it can accept a drop.

Gdk::DragContext::targets() retrieves a list of atoms of all the targets supported by the source widget. You need this list to verify if one of the targets corresponds to the targets that can be accepted by the destination widget. Gdk::DragContext::actions() returns the actions supported by the source widget. Gdk::DragContext::suggested_action() returns the action suggested by automatically by GTK+. You're free to choose any of the default actions but this action is usually the best choice.

The source widget needs to be notified if the destination widget will accept a drop according to the provided targets and actions. This is done by calling Gdk::DragContext::status(). This method must always be called if this handler returns true. If it's not called the source widget will not issue another drag_motion signal.

virtual bool Xfc::Gtk::WidgetSignals::on_enter_notify_event | ( | const Gdk::EventCrossing & | event | ) | `[virtual]`

Called when a widget is entered.

Parameters:

  | event | The Gdk::EventCrossing.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_event | ( | const Gdk::Event & | event | ) | `[virtual]`

Called when any GDK event occurs.

Parameters:

  | event | The Gdk::Event.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_expose_event | ( | const Gdk::EventExpose & | event | ) | `[virtual]`

Called when all or part of the widget has become visible and needs to be redrawn.

Parameters:

  | event | The Gdk::EventExpose.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_focus | ( | DirectionType | direction | ) | `[virtual]`

Called when a child widget receives the focus (see child_focus()).

Parameters:

  | direction | The direction of focus movement.

Returns:
  true if the focus ended up inside the child widget.

virtual bool Xfc::Gtk::WidgetSignals::on_focus_in_event | ( | const Gdk::EventFocus & | event | ) | `[virtual]`

Called when the widget gains the keybaord focus (the focus widget gets keyboard events).

Parameters:

  | event | The Gdk::EventFocus.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_focus_out_event | ( | const Gdk::EventFocus & | event | ) | `[virtual]`

Called when the widget looses the keyboard focus.

Parameters:

  | event | The Gdk::EventFocus.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_grab_notify | ( | bool | was_grabbed | ) | `[virtual]`

Called to notify the widget whether it is the current grabbed widget in an application.

Parameters:

  | was_grabbed | true if the widget is the current grabbed widget, false if it was but is no longer the current grabbed widget.

The grabbed widget within an application is the widget that recieves all mouse and keyboard events, while interaction with other widgets is blocked.

virtual void Xfc::Gtk::WidgetSignals::on_hierarchy_changed | ( | Widget * | previous_toplevel | ) | `[virtual]`

Called when there is a change in the hierarchy to which the widget belongs.

Parameters:

  | previous_toplevel | The previous toplevel widget.

More precisely, a widget is anchored when its toplevel ancestor is a Gtk::Window. This handler is called when a widget changes from un-anchored to anchored or vice-versa.

virtual bool Xfc::Gtk::WidgetSignals::on_key_press_event | ( | const Gdk::EventKey & | event | ) | `[virtual]`

Called when a key is pressed.

Parameters:

  | event | The Gdk::EventKey.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_key_release_event | ( | const Gdk::EventKey & | event | ) | `[virtual]`

Called when a key is released.

Parameters:

  | event | The Gdk::EventKey.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_leave_notify_event | ( | const Gdk::EventCrossing & | event | ) | `[virtual]`

Called when a widget is exited.

Parameters:

  | event | The Gdk::EventCrossing.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_map_event | ( | const Gdk::EventAny & | event | ) | `[virtual]`

Called when the widget has been mapped (visible on the screen).

Parameters:

  | event | The Gdk::EventAny.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_mnemonic_activate | ( | bool | group_cycling | ) | `[virtual]`

Called to activate the widget when the mnemonic key it's associated with is pressed.

Parameters:

  | group_cycling |

virtual bool Xfc::Gtk::WidgetSignals::on_motion_notify_event | ( | const Gdk::EventMotion & | event | ) | `[virtual]`

Called when the mouse is moved.

Parameters:

  | event | The Gdk::EventMotion.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_no_expose_event | ( | const Gdk::EventAny & | event | ) | `[virtual]`

Called when all or part of the widget has become visible, but no expose event was generated.

Parameters:

  | event | The Gdk::EventAny.

Returns:
  true to stop invoking other handlers, false to propagate the event.

Indicates that the source region was completely available when parts of a drawable were copied. This is not very useful.

virtual void Xfc::Gtk::WidgetSignals::on_parent_set | ( | Widget * | previous_parent | ) | `[virtual]`

Called when the parent container of the widget is set.

Parameters:

  | previous_parent | The previous parent of the widget, or null.

virtual bool Xfc::Gtk::WidgetSignals::on_property_notify_event | ( | const Gdk::EventProperty & | event | ) | `[virtual]`

Called when a property on the widget has been changed or deleted.

Parameters:

  | event | The Gdk::EventProperty.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_proximity_in_event | ( | const Gdk::EventProximity & | event | ) | `[virtual]`

Called when an input device has moved into contact with a sensing surface (such as a touchscreen or graphics tablet).

Parameters:

  | event | The Gdk::EventProximity.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_proximity_out_event | ( | const Gdk::EventProximity & | event | ) | `[virtual]`

Called when an input device has moved out of contact with a sensing surface.

Parameters:

  | event | The Gdk::EventProximity.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_screen_changed | ( | Gdk::Screen * | previous_screen | ) | `[virtual]`

Called when the screen the widget is displayed on is changed.

Parameters:

  | previous_screen | The previous Gdk:Screen.

virtual bool Xfc::Gtk::WidgetSignals::on_scroll_event | ( | const Gdk::EventScroll & | event | ) | `[virtual]`

Called when a mouse wheel is scrolled either up or down.

Parameters:

  | event | The Gdk::EventScroll.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_selection_clear_event | ( | const Gdk::EventSelection & | event | ) | `[virtual]`

Called when an application has lost ownership of a selection.

Parameters:

  | event | The Gdk::EventSelection.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_selection_get | ( | SelectionData & | selection_data,
|  | unsigned int | info,
|  | unsigned int | time
| ) | `[virtual]`

Called when the selection data is requested, if this widget is the selection owner.

Parameters:

  | selection_data | The SelectionData object to be filled in.
  | info | The info integer that was set when the target was registered (see TargetEntry).
  | time | The time of the conversion request as set by the requestor with selectionn_convert().

This handler is called in response to a call to selection_convert() by the selection requestor. The selection_data object needs to be filled in. Calling Gtk::SelectionData::get_target() and Gtk::SelectionData::get_selection() enables you to know for which target of which selection the data needs to be formatted. The formatted data can then be set by calling Gtk::SelectionData:set() or Gtk::SelectionData::set_text(). The selection requestor will receive the data when this handler returns.

virtual bool Xfc::Gtk::WidgetSignals::on_selection_notify_event | ( | const Gdk::EventSelection & | event | ) | `[virtual]`

Called when a selection has been received.

Parameters:

  | event | The Gdk::EventSelection.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_selection_received | ( | const SelectionData & | selection_data,
|  | unsigned int | time
| ) | `[virtual]`

Called to notify the widget that the requested selection data has been converted and provided by the selection owner.

Parameters:

  | selection_data | The requested selection data.
  | time | The time of the conversion request.

virtual bool Xfc::Gtk::WidgetSignals::on_selection_request_event | ( | const Gdk::EventSelection & | event | ) | `[virtual]`

Called when another application has requested a selection.

Parameters:

  | event | The Gdk::EventSelection.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual void Xfc::Gtk::WidgetSignals::on_size_allocate | ( | const Allocation & | allocation | ) | `[virtual]`

Called when a child widget is allocated a size and position.

Parameters:

  | allocation | The position and size allocated to the widget.

virtual void Xfc::Gtk::WidgetSignals::on_size_request | ( | Requisition * | requisition | ) | `[virtual]`

Called to obtain the preferred size of a widget.

Parameters:

  | requisition | The Requisition to be filled in.

virtual void Xfc::Gtk::WidgetSignals::on_state_changed | ( | StateType | previous_state | ) | `[virtual]`

Called when the widget state changes.

Parameters:

  | previous_state | The previous StateType.

virtual void Xfc::Gtk::WidgetSignals::on_style_set | ( | Style * | previous_style | ) | `[virtual]`

Called when the widget style is changed.

Parameters:

  | previous_style | The previous Style, or null.

virtual bool Xfc::Gtk::WidgetSignals::on_unmap_event | ( | const Gdk::EventAny & | event | ) | `[virtual]`

Called when the widget has been unmapped (no longer visible on the screen).

Parameters:

  | event | The Gdk::EventAny.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_visibility_notify_event | ( | const Gdk::EventVisibility & | event | ) | `[virtual]`

Called when the widget's visibility status has changed (either fully obscured, partially obscured or unobscured.

Parameters:

  | event | The Gdk::EventVisibility.

Returns:
  true to stop invoking other handlers, false to propagate the event.

virtual bool Xfc::Gtk::WidgetSignals::on_window_state_event | ( | const Gdk::EventWindowState & | event | ) | `[virtual]`

Called when the state of a toplevel window changes (either not shown, minimized, maximized, sticky or fullscreen).

Parameters:

  | event | The Gdk::EventWindowState.

Returns:
  true to stop invoking other handlers, false to propagate the event.

The documentation for this class was generated from the following file:

- widgetsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3